#1
  1. No Profile Picture
    Junior Member
    Devshed Newbie (0 - 499 posts)

    Join Date
    Jan 2002
    Posts
    16
    Rep Power
    0

    HP-UX and XML::Parser install


    I've installed expat and get the following when trying to install the module from cpan. Any ideas? TIA

    $ make install
    cc -c -D_HPUX_SOURCE -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -Ae -O
    -DVERSION=\"2.30\" -DXS_VERSION=\"2.30\" +z -I/opt/perl5/lib/5.6.0/PA-RISC
    2.0/CORE Expat.c
    cc: warning 487: Possibly incorrect message catalog.
    cpp: "Expat.xs", line 12: error 4036: Can't open include file 'expat.h'.
    *** Error exit code 1

    Stop.
    *** Error exit code 1

    Stop.
  2. #2
  3. Modding: Oracle MsSQL Firebird
    Devshed Supreme Being (6500+ posts)

    Join Date
    Jun 2001
    Location
    Outside US
    Posts
    8,527
    Rep Power
    539
  4. #3
  5. No Profile Picture
    Junior Member
    Devshed Newbie (0 - 499 posts)

    Join Date
    Jan 2002
    Posts
    16
    Rep Power
    0
    whereis tells me that expat.h is in /usr/local/include and is chmod as 644. This kinda infers that the version of expat may be suspect with it's compatability for the platform. I'm hoping someone has seen this error before when installing this package.

    MORE INFO: In my original post, I said I was having trouble installing expat, when actually, I'm having trouble installing XML::Parser, which requires expat to be installed.
  6. #4
  7. No Profile Picture
    Junior Member
    Devshed Newbie (0 - 499 posts)

    Join Date
    Jan 2002
    Posts
    16
    Rep Power
    0
    Nothing like answering your own questions....turns out the the expat install put expat.h in /usr/local/include. HP-UX looks in /usr/include for includes. After copying expat.h to /usr/include, the XML::Parser make worked.

IMN logo majestic logo threadwatch logo seochat tools logo